12 Jan 2001
  Closed thsi changedlog and started a new one for 2.0
10 Jan 2001
   - Feature freeze and test.
   - writing README announce html and FAQ.TXT 
26 Dec 2000
   STextEdit Works:
   - SEditor is pluggable the default has
       - kill line ^k
       - change input F1-F12
       - change font ctrl-F1-F12
   - Kinput2 works
   - Selecting text works
   Need to do 
   - compund text converters for variants.
   - yinput converter
   - cut&paste
   - speed benchmark of rendering
   - decent scrollbar
   - history
   - undo to SEditor and some changes to STextEdit.
18 Dec 2000
   Received a great cut&paste patch for 1.5
   Bruno Haible <haible@ilog.fr>
   made doc/goals.txt

22 Jun 2000
   Cleanup and adding wingreek.my

03 May 2000
   Mixed TTF and X11 font works.

27 May 2000
   Rendering works.

15 May 2000
   Added Spanish from 
     Grzegorz Adam Hankiewicz <gradha@iname.com>
   and
     Juan Rafael Fernández García <jrfern@bigfoot.com>
25.March 2000
   Added TIS_620.mys generated from TIS_620.bumap and 
   Thai.kmap contributed by Theppitak Karoonboonyanan <thep@links.nectec.or.th>

4. Jan 2000
   Removed flex dependencies:
           =================
   modified configure.in
   modified Makefile.conf.in
   removed src/UParseLex.l
   removed src/UParser.cpp
   removed src/UParser.h
   removed src/UMapDefault.cpp

   New NMap featues (getEncodeWordSize, getDecodeWordSize)
   replaced:
   class UMap::encodeResultMax()
   class UMap::decodeResultMax()

   rearranged directories - help
   deleted obselete X11 - stripumap

3. Jan 2000
   Finally I finished the NMap module. This will be the ultimate map.
   making UMap UInput flax and perl dependency obselete.

   With mytool and kmap and X11 maps are merged. Consequently I renamed
   KOI8_R.kmap to KOI8_R_KEY.kmap because it has some additional keys 
   defined.

   All map files from data were moved to mytool.

7 Dec 1999
   Removed everutyhing and started to rewrite Yudit from scratch in a
   no-matter-how-long-it-takes it-has-to-be-clean-and-reusable  manner.
   The final goal is multi-palform yudit.

6. Dec 1999
   Added menu translation da.utf8 from 
	Birger Langkjer <birger.langkjer@image.dk>
   Added gnome/yudit.desktop yudit-trans.png  yudit.png
        from Birger Langkjer <birger.langkjer@image.dk>

5. Dec 1999
   Modified  Danish.kmap Roman Czyborra@cs.tu-berlin.de 
         modified by Birger Langkjer <birger.langkjer@image.dk>
   Added Polytonic.kmap Constantine Stathopoulos <cstath@irismedia.gr>
         modified by Birger Langkjer <birger.langkjer@image.dk>
   Added GreekBible.kmap Constantine Stathopoulos <cstath@irismedia.gr>
         modified by Birger Langkjer <birger.langkjer@image.dk>
1. Dec 1999
   Checked the patch for 1.5 that was released soon after 1.5
30. Nov 1999
   Just released 1.4. It was not compilable on solaris sparcworks due
   to some stupid errors. Fixed and planned to release 1.5 tonight.

27. Nov 1999
   Finally null characters \u0000 work in yudit!
   ^@ inserts a null character.
   Insrted a couple of fixes for converters.

27. Nov 1999
   freetype-1.1-62 makes yudit dump when exiting.
   compiling freetype-1.2 does not help.

25. Nov 1999
   Added 
	Avg.Width
	Add.Style
   to config parameters and menus (suggested by Markus).

   Added international time format to UPrint.cpp strftime 
   (suggested by Thomas Wolff <towo@computer.org> )
 
24. Nov 1999
   Currently 8 bit decoders/encoders do not convert anything below
   0x80, now I changed it so that that range is 0x20..0x7f

24 Nov 1999
   Jean Christophe ANDR=C9 <Jean-Christophe.ANDRE@aupelf.refer.org>
   French helpfiles
   makeumap.1 -n and -u options
   Testpage French additions
   Makefile to support all locales with wildcard
   Vietnamese kmap modifications but did not remane it VIQR

23 Nov 1999
   0 characters from file are replaced by \u0000 escapes.
   Fixed U+03ffffff
   Introduced UTF8_TEXT format in X11 gui.
   Made long .h files for qt.

23 Nov 1999
   Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
   do not display C0 characters, even if there are glyphs on these
   positions in the font

   in the SPACING font attribute: Condensed should read CharCell
   <ftp://sunsite.doc.ic.ac.uk/packages/X11/pub/R6.4/xc/doc/hardcopy/XLFD/xlfd.PS.gz>

23 Nov 1999
   Christian Bucher <bucher@vernetzt.at>
   in file:src/UPrint.cpp#374

        fileBuffer = ( char *) mmap (0, fileBufferLen,  PROT_READ, MAP_PRIVATE,
fd, 0);

	ANSI C++ cannot cast void * in assignment

19 Aug 1999
   added fr.utf8 Frech translations from 
       Nguyen-Dai Quy <Daiquy.Nguyen@ulg.ac.be>
 
26 Jul 1999
   defined(_AIX) in UXKinput.cpp to compile on powerpc-ibm-aix4.3.2.0 
   Philippe.Defert@cern.ch

19 Jul 1999
   Added new Vietnamese VNtelex.kmap from 
   Nguyen-Dai Quy <Daiquy.Nguyen@ulg.ac.be> 

22 May 1999
   Added Polish menu translations from: 
         Gwidon S. Naskrent <naskrent@artemida.amu.edu.pl>

16 May 1999
   Added iso8859-3, iso8859-4 patches and XKB_iso8859-4.kmap from
   Ricardas Cepas (Ričardas Čepas) <rch@pub.osf.lt>. 
   Generated 8859_3, 8859_4 bumap files.

18 Apr 1999
   Added Slovenian messages.po into the gui/src/sl.utf8
   directory from Primoz Peterlin <peterlin@biofiz.mf.uni-lj.si>.

5  Apr 1999
	Prepearing for release 1.3

24 Jan 1998
	UWidget::endSelection bug fixed (uTextSizes==0)

24 Jan 1998
   From Thomas Wohlfarth <Thomas.Wohlfarth@t-online.de>:
   Added translations from Stephen H.L. Wang:
	data/help/General-zh_TW.help.in
	data/help/Config-zh_TW.help.in
   Modified
	gui/src/zh_TW.utf8/messages.po

18 December 1998
   From Thomas Wohlfarth <Thomas.Wohlfarth@t-online.de>:
   INSTALL.DE
   DE-RU.kmap
   LIESMICH.DE-RU
   gui/src/ru.utf8/messages.po
   gui/src/ja.utf8/messages.po
   gui/src/de.utf8/messages.po
   gui/src/zh_TW.utf8/messages.po
   gui/src/hu.utf8/messages.po
   data/help/Config-de.help.in - modified so that @prefix@ will be English
                   because it will be overwritten by configure.
   help/General.help.in
   help/Config.help.in

15 December 1988
   Eugene Crosser <crosser@online.ru> - KOI8_R.kmap

10 December 1988
   Release 1.2
9  December 1988
   Added German help pages from Thomas Wohlfarth <Thomas.Wohlfarth@t-online.de>

24 November 1988
   Added German message.po from Thomas Wohlfarth <Thomas.Wohlfarth@t-online.de>
   Fixed "Not configured" text bug in MainWidget::translateMenu.

22 November 1988
   Added Georgian.kmap, ArmenianEast.kmap, ArmenianWest.kmap from
   Mark Leisher <mleisher@crl.nmsu.edu>

15 November 1988
   Applied patch for UHC converter from Jungshik Shin

3  November 1998
   Applied patch to help pages from Jungshik Shin

10 October 1998
   Added Greek (monotonic) kmap file from 
   Constantine Stathopoulos <cstath@irismedia.gr>

7  September 1998
   Fixed cut&paste JIS0212 from Kterm.

1  September 1998
   Fixed JIS0212.bumap based on bug reports from Jim Breen.

25 August 1998
   Added Italian translations from Pino Zollo <pinoz@highway.com.py>

23 August 1998
   Prepearing for release 1.1

23 August 1998
   Added -e encoding option.

21 August 1998
   Fixed serious bug in Translate

20 August 1998
   Reorganized make so that qt and motif can be split off.

17 August 1998
   Added fixes to compile on HPUX 
     o removed check for MMAP. Apperantly I dont need such a sophisticated check
       From Wei-Lun Chao <wchao@post.uni-bielefeld.de>
       configure gives up on mmap in:
        data2 += (pagesize - ((int) data2 & (pagesize - 1))) & (pagesize - 1);
        if (data2 != mmap(data2, pagesize, PROT_READ | PROT_WRITE,
            MAP_PRIVATE | MAP_FIXED, fd, 0L))
                exit(1);

   Added fixes to compile on FreeBSD 
     o ranlib - thanks Ricardas Cepas <rch@ip.lt>

   Added fixes to compile on Irix
     o splitting library to split off X dependent part.
20 July 1988
   Added new translations
      o zh_TW.utf8 from Wei-Lun Chao <wchao@post.uni-bielefeld.de>
      o Chinese-CJ.kmap from Wei-Lun Chao <wchao@post.uni-bielefeld.de>
10 July 1988
      o added missing JAVA converter to menu.
17 May 1988
   Major clean up of source code.  Ready for release-1.0 
8  May 1988
   Added UNI converter.
7  May 1988
   Added U+2028 (line separator) 
   Added U+2029 (paragraph separator) 
3  May 1998
   Added CTEXT_KR converter (acutally renamed)
   Added JAVA converter
   Fixex printing bug with big font index (Gulim).
29 April 1998
   Check added to deal with missing tupdate program in gettext. Still 
   we need msgfmt.
   Added "last input" toggle <ctrl>i. Now you can toggle between the
   current and the last input map used.  It works only in main edit
   window for now.
29 April 1998
   Applied patches from Jungshik Shin <jshin@pantheon.yale.edu> to support
   JOHAB and UHC. Had to modify KSC5601 to have two forms KSC5601L and KSC5601R.
   This is necessary to distinguish lest and right encondings. Similarily the
   GB2312 was converted to GB2312L and GB2312R. Modified yuditrc.in to 
   minimize the impact.
28 April 1998
   Added a new format for kmap files. This can be used for Hangul and
   the built-in Unicode kmap.
21 April 1998
   Added Esperanto and Mnenomic from Roman Czyborra
18 April 1998
   Applied freetype-hint patch from Roman Czyborra <czyborra@cs.tu-berlin.de>
   Got kmaps from him:
       Danish.kmap    German.kmap    Polish.kmap 
       Dutch.kmap     Mnemonic.kmap  SGML.kmap
   Mnemonic.kmap still had some problems.
9  April 1998
   Received bug report and font maps from
   Jungshik Shin <jshin@pantheon.yale.edu>
7  April 1998
   0.99 is out. First patch is out. Patch: uniconv -O
1  April 1998
   Finished gui yudit. Need testing. Added -I and -O options to uniconv.
27 Mar 1998
   Uniconv now handles -O and -I options.
24 Mar 1998
   Added 10646 built-in umap for unicode fonts.
19 Mar 1998
   Decided on gettext package. Had problems because libttf links this package
   and the libttf contained one that conflicted with that I had installed. 
   Lost 7 days. (Could have written a new gettext package in 7 days...)
1  Mar 1998
   Started writing gui with pure X
22 Feb 1998
   Added new font mapping style that does not consume much memory and time.
   Added reusable FontMapCache
15 Feb 1998
   New method to load fonts.
   Started gui tree.
9  Feb 1998
   Changed class name to Yudit
   Release 0.97
9  Feb 1998
   Added new file dialog. Motif file dialog did not work or dumped. 
   Motif sucks bigtime.
7  Feb 1998
   Added go to line
   Reorganized menubar
4  Feb 1998
   Support for bumap (binary umap) through mmap.
   Added new korean map. Obselete one is OLD5601.bumap.
1  Feb 1998
   Added Find/Replace.
   Added new options to configure script.
31 Jan 1998
   KSC 5601 map was too old. The new unicode map has different codepoints.
   New optin -low for uniconv.
31 Jan 1998
   converter class can handle 16 bit. The output input stream will change
   from 8bit to 16bit if a 16bit (encode-part)  umap is used.
19 Jan 1998
   Upgraded for freetype 1.0
12 Jan 1998
   uniprint -E option fix
10 Jan 1998
   Release yudit 0.95
10 Jan 1998
   Change filename when "Save As..".
10 Jan 1998
   Added Lituanian.kmap from Ricardas Cepas <rch@pub.osf.lt>
   Also, as recommended I changed koi8-1 to koi8-r
10 Jan 1998
   Make yudit recognize Debian style qt installation
   headers in /usr/X11R6/include/qt
   libs in /usr/X11R6/lib
10 Jan 1998
   Make yudit compilable with egcs 1.0.1
8  Jan 1998
   For motif 1.2 frame will be drawn with a title
5  Jan 1998
   Conversion did not work properly because of some bugs in args.
17 Dec 1997
   Added MSTXT for NT notepad or Word.
   Save whole buffer - not line-by-line
   Now HZ ~\n should work as well.
   Fixed config file checking bug.
   Clear selected text first when typing new string.
16 Dec 1997
   Fix printing - if file starts of new lines only it would not print those.
16 Dec 1997
   Move UCS2LE UCS2BE to UCS2Conv, modified uniprint and uniconv
7  Dec 1997
   Fixed Home,End,Delete keys.
7  Dec 1997
   Fixed uniconv UCS2LE UCS2BE
2  Dec 1997 
   Added postscript printing.
28 Nov 1997
   Added True Type font rendering.
21 Nov 1997
   Fixed rewind bug in config. file->clear();
